<HTML>
<BODY>
<P>
    Controller receives an input from outside and as a result creates commands and
    paintables to the VisualModel via VisualModelCallback.
</P>
<P>
    Command is executed whenever a screen update is performed. It knows "what
    time it is" and adds and removes paintables from the visual model accordingly.
    When a command is no longer useful it removes itself from the VisualModel.
</P>
<P>
    Paintable knows the UI element it draws and where to draw it.
</P>

</BODY>
</HTML>